aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xassh18
l---------asshs1
2 files changed, 19 insertions, 0 deletions
diff --git a/assh b/assh
new file mode 100755
index 0000000..e3c8ebd
--- /dev/null
+++ b/assh
@@ -0,0 +1,18 @@
+#!/bin/bash
+#
+# simple autossh wrapper
+#
+
+BASENAME="`basename $0`"
+DEST="$1"
+COMMAND="$2"
+
+if [ -z "$DEST" ]; then
+ exit 1
+fi
+
+if [ "$BASENAME" == "asshs" ]; then
+ autossh $DEST.`facter domain` -t -- screen -x $COMMAND
+else
+ autossh $DEST.`facter domain` -t -- $COMMAND
+fi
diff --git a/asshs b/asshs
new file mode 120000
index 0000000..daa19ce
--- /dev/null
+++ b/asshs
@@ -0,0 +1 @@
+assh \ No newline at end of file